import 'package:flutter/material.dart';
import 'package:flutter_custom_toolbox/flutter_toolbox.dart';

import 'package:tetrisdual/common/ui/pages/game.dart';
import 'package:tetrisdual/common/ui/pages/parameters.dart';

class ActivityPageItem {
  final String code;
  final Icon icon;
  final Widget page;

  const ActivityPageItem({
    required this.code,
    required this.icon,
    required this.page,
  });
}

class ActivityPage {
  static const bool displayBottomNavBar = false;

  static const indexHome = 0;
  static const pageHome = ActivityPageItem(
    code: 'page_home',
    icon: Icon(UniconsLine.home),
    page: PageParameters(),
  );

  static const indexGame = 1;
  static const pageGame = ActivityPageItem(
    code: 'page_game',
    icon: Icon(UniconsLine.star),
    page: PageGame(),
  );

  static const Map<int, ActivityPageItem> items = {
    indexHome: pageHome,
    indexGame: pageGame,
  };

  static int defaultPageIndex = indexHome;

  static bool isIndexAllowed(int pageIndex) {
    return items.keys.contains(pageIndex);
  }

  static Widget getWidget(int pageIndex) {
    return items[pageIndex]?.page ?? pageHome.page;
  }
}
